Subject: bug#70722: [PATCH] ; Migrate to python3 for (package-test-update-archives-async)

From: kobarity <[email-masked]>
Date: Fri, 10 May 2024 01:00:13 +0900

Eli Zaretskii wrote:
> 
> > From: Lin Sun <[email-masked]>
> > Date: Mon, 6 May 2024 00:28:07 +0000
> > Cc: [email-masked]
> > 
> > On Thu, May 2, 2024 at 6:55 PM Eli Zaretskii <[email-masked]> wrote:
> > >
> > > > From: Lin Sun <[email-masked]>
> > > > Date: Thu, 2 May 2024 18:11:04 +0000
> > > >
> > > > The test case "package-test-update-archives-async" still tries to
> > > > search "python2" for testing, while python2 was at the end of its life
> > > > years ago.
> > > > So move the test case from python2 to python3.
> > >
> > > I'd prefer to make the test support both Python 2.x and Python 3.x.
> > > The fact that python.org end-of-life'd Python 2 doesn't mean we have
> > > to jump to attention and follow suit.  Old systems might still have
> > > Python 2 installed, and there's no need to drop them.
> > >
> > > I do agree that we should try looking for Python 3 first, and only
> > > afterwards for Python 2.
> > >
> > > Also, I think the test should start by looking for just "python",
> > > before the versioned variants.
> > >
> > > E.g., on my system (executable-find "python3") returns nil, although I
> > > have Python 3.x installed -- but it's installed under the name
> > > "python".
> > Thanks for the comment, and it's true that python2 will still exist
> > for many years.
> > And I had changed the test case to adapt python/python3/python2 automatically.
> > Please help review the new patch. Thanks.
> 
> Thanks.
> 
> kobarity, any comments, or should I install this?

I agree with the policy to support both Python 2/3.
How about a patch like the one attached?